# Hexo Configuration
## Docs: https://hexo.io/docs/configuration.html
## Source: https://github.com/hexojs/hexo/

# Site
title: 不得不 AI
subtitle: 'AI 时代新人类'
description: '记录技术学习与生活点滴，分享 AI、编程、阅读心得'
keywords: 'AI, 编程，技术博客，Hexo, Stellar 主题'
author: 主人
avatar: /images/avatar_transparent.png
language: zh-CN
timezone: Asia/Shanghai

# URL
## Set your site url here. For example, if you use GitHub Page, set url as 'https://username.github.io/project'
url: https://blog.liupeizhi.top
permalink: :year/:month/:day/:title/
permalink_defaults:
pretty_urls:
  trailing_index: true # Set to false to remove trailing 'index.html' from permalinks
  trailing_html: true # Set to false to remove trailing '.html' from permalinks

# Directory
source_dir: source
public_dir: public
tag_dir: tags
archive_dir: archives
category_dir: categories
code_dir: downloads/code
i18n_dir: :lang
skip_render:

# Writing
new_post_name: :title.md # File name of new posts
default_layout: post
titlecase: false # Transform title into titlecase
external_link:
  enable: true # Open external links in new tab
  field: site # Apply to the whole site
  exclude: ''
filename_case: 0
render_drafts: false
post_asset_folder: false
relative_link: false
future: true
syntax_highlighter: highlight.js
highlight:
  line_number: true
  auto_detect: false
  tab_replace: ''
  wrap: true
  hljs: false
prismjs:
  preprocess: true
  line_number: true
  tab_replace: ''

# Home page setting
# path: Root path for your blogs index page. (default = '')
# per_page: Posts displayed per page. (0 = disable pagination)
# order_by: Posts order. (Order by date descending by default)
# index_generator:
#   path: ''
#   per_page: 10
#   order_by: -date
# archive_generator:
#   per_page: 0
#   yearly: true
#   monthly: true
#   daily: false
# tag_generator:
#   per_page: 10
# category_generator:
#   per_page: 10
# tag_dir: tags
# category_dir: categories
# feed:
#   type: atom
#   path: atom.xml
#   limit: 20
#   content: true
#   limit: 20
# content: true
# order_by: -date
# tag_order_by: -date
# category_order_by: -date
# archive_order_by: -date
# index_order_by: -date

# Date format
date_format: YYYY-MM-DD
time_format: HH:mm:ss
## updated_option supports 'mtime', 'date', 'empty'
updated_option: 'mtime'

# Pagination
## Set per_page to 0 to disable pagination
per_page: 10
pagination_dir: page

# Include / Exclude file(s)
## include:/exclude: options only apply to the 'source/' folder
include:
exclude:
ignore:

# Extensions
## Plugins: https://hexo.io/plugins/
## Themes: https://hexo.io/themes/
theme: stellar

# Hexo Admin 后台管理
admin:
  username: admin
  password_hash: $2a$10$sQ/O4/l2BFgzutu15ZBVZ.oZbGJQ2t6x5QgRSXZ.m3250U0W1/86m
  secret: hexo-blog-secret-key-2026

# Deployment
## Docs: https://hexo.io/docs/one-command-deployment
deploy:
  type: ''
